
{ config, pkgs, inputs, ... }:

{
  imports =
    [
      ../shared/shared-configuration.nix
      ../shared/desktop-configuration.nix
      ./miyamoto-hardware.nix
    ];

  networking.hostName = "miyamoto";

  users.users.kids = {
    isNormalUser = true;
    extraGroups = [
      "networkmanager"
    ];
    initialPassword = "password";
  };
  services.getty.autologinUser = "kids";

  services.xserver.enable = true;
  services.xserver.displayManager.startx.enable = true; # TODO: Add DBus startup in script

  services.xserver = {
    layout = "gb";
    xkbVariant = "";
  };

  # Configure console keymap
  console.keyMap = "uk";

  environment.systemPackages = with pkgs; [
    vim
    ratpoison
    (retroarch.override {
      # Cores defined at: https://github.com/NixOS/nixpkgs/blob/master/pkgs/applications/emulators/retroarch/cores.nix
      cores = with libretro; [
        beetle-gba
        beetle-saturn
        beetle-snes
        beetle-vb
        dolphin
        gw
        mame
        nestopia
      ];
    })
  ];
}
